Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete voice consent

audio.voice_consents.delete(consent_id) -> VoiceConsentDeleted { id, deleted, object }
DELETE
/audio/voice_consents/{consent_id}

Deletes a voice consent recording.

Parameters
Returns

Delete voice consent

require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

voice_consent_deleted = openai.audio.voice_consents.delete("consent_id")

puts(voice_consent_deleted)
200 example
{
  "id": "cons_1234",
  "deleted": true,
  "object": "audio.voice_consent"
}
Returns Examples
200 example
{
  "id": "cons_1234",
  "deleted": true,
  "object": "audio.voice_consent"
}